Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1101551 - [Admin Portal] ERROR [org.ovirt.engine.ui.frontend.server.gwt.GenericApiGWTServiceImpl] (ajp-/127.0.0.1:8702-9) Retrieving non string value from session
Summary: [Admin Portal] ERROR [org.ovirt.engine.ui.frontend.server.gwt.GenericApiGWTSe...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Jiri Belka
URL:
Whiteboard: ux
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-27 13:52 UTC by Jiri Belka
Modified: 2015-02-16 13:36 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Cause: A certain code path would cause an error to be written to the log which was not an error at all. Consequence: The log would could errors that shouldn't be there. Fix: Fixed the code path to not write the error to the log. Result: The log no longer contains the error when there is no error.
Clone Of:
Environment:
Last Closed: 2015-02-16 13:36:15 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
engine.log (deleted)
2014-05-27 13:52 UTC, Jiri Belka
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29142 master MERGED engine: confusing error message retrieving from http session Never
oVirt gerrit 30585 ovirt-engine-3.5 MERGED engine: confusing error message retrieving from http session Never

Description Jiri Belka 2014-05-27 13:52:38 UTC
Created attachment 899510 [details]
engine.log

Description of problem:
I see following line in engine.log:

ERROR [org.ovirt.engine.ui.frontend.server.gwt.GenericApiGWTServiceImpl] (ajp-/127.0.0.1:8702-9) Retrieving non string value from session

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.4.0-0.21.el6ev.noarch

How reproducible:
???

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Einav Cohen 2014-07-21 13:45:08 UTC
moving back to POST -> still need to backport to ovirt-engine-3.5 ('master' patch was merged after the fork).

Comment 2 Jiri Belka 2014-09-01 09:33:40 UTC
ok, ovirt-engine-backend-3.5.0-0.0.master.20140821064931.gitb794d66.el6.noarch

i don't see above message in the log anymore.


Note You need to log in before you can comment on or make changes to this bug.